Debian Bug report logs - #636621
debconf does not recover properly after puring /var/cache/debconf

version graph

Package: debconf; Maintainer for debconf is Debconf Developers <debconf-devel@lists.alioth.debian.org>; Source for debconf is src:debconf.

Reported by: Ben Howard <ben.howard@canonical.com>

Date: Thu, 4 Aug 2011 16:15:01 UTC

Severity: minor

Found in version 1.5.36ubuntu4

Fixed in version debconf/1.5.42

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#636621; Package debconf. (Thu, 04 Aug 2011 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Howard <ben.howard@canonical.com>:
New Bug report received and forwarded. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Thu, 04 Aug 2011 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Howard <ben.howard@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debconf does not recover properly after puring /var/cache/debconf
Date: Thu, 04 Aug 2011 10:04:11 -0600
Package: debconf
Version: 1.5.36ubuntu4
Severity: serious
Tags: sid
Justification: Policy 9.1.1

If user deletes /var/cache/*, while leaving /var/cache, then debconf is broken.
Specifically, debconf looks for /var/cache/debconf and does not create the
missing directory, and after the directory is creating, software fails to
install.

Repo Steps:
1. rm /var/cache/*
2. Attempt to install any package

Why this is a bug? Per the LSB, (
http://www.pathname.com/fhs/pub/fhs-2.3.html#VARCACHE), applications should
recover from missing files. A user who removes /var/cache/* will experience
problems with the installation of software.

---
Attempt to install the Sun JDK:

sun-dlj-v1-1 license could not be presented
try 'dpkg-reconfigure debconf' to select a frontend other than noninteractive

dpkg: error processing /var/cache/apt/archives/sun-
java6-jre_6.26-1oneiric1_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 2
Unpacking sun-java6-bin (from .../sun-java6-bin_6.26-1oneiric1_i386.deb) ...

sun-dlj-v1-1 license could not be presented
try 'dpkg-reconfigure debconf' to select a frontend other than noninteractive

dpkg: error processing /var/cache/apt/archives/sun-
java6-bin_6.26-1oneiric1_i386.deb (--unpack):
 subprocess new pre-installation script returned error exit status 2
Unpacking sun-java6-jdk (from .../sun-java6-jdk_6.26-1oneiric1_i386.deb) ...

sun-dlj-v1-1 license could not be presented
try 'dpkg-reconfigure debconf' to select a frontend other than noninteractive



-- System Information:
Debian Release: squeeze/sid
  APT prefers natty-updates
  APT policy: (500, 'natty-updates'), (500, 'natty-security'), (500, 'natty'), (100, 'natty-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-10-generic (SMP w/8 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages debconf depends on:
ii  debconf-i18n          1.5.36ubuntu4      full internationalization support 
ii  perl-base             5.10.1-17ubuntu4.1 minimal Perl system

Versions of packages debconf recommends:
ii  apt-utils              0.8.13.2ubuntu4.1 APT utility programs

Versions of packages debconf suggests:
pn  debconf-doc           <none>             (no description available)
pn  debconf-utils         <none>             (no description available)
ii  libgtk2-perl          2:1.223-1          Perl interface to the 2.x series o
pn  libnet-ldap-perl      <none>             (no description available)
pn  libqtcore4-perl       <none>             (no description available)
pn  libqtgui4-perl        <none>             (no description available)
pn  libterm-readline-gnu- <none>             (no description available)
ii  perl                  5.10.1-17ubuntu4.1 Larry Wall's Practical Extraction 
ii  whiptail              0.52.11-2ubuntu7   Displays user-friendly dialog boxe

-- debconf information:
  debconf-apt-progress/preparing:
* debconf/frontend: Dialog
  debconf-apt-progress/title:
  debconf/priority: high
  debconf-apt-progress/info:
  debconf-apt-progress/media-change:




Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Fri, 05 Aug 2011 17:03:09 GMT) Full text and rfc822 format available.

Removed tag(s) sid. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 24 Nov 2011 08:21:47 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#636621; Package debconf. (Sun, 19 Feb 2012 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Sun, 19 Feb 2012 05:09:03 GMT) Full text and rfc822 format available.

Message #14 received at 636621@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Joey Hess <joeyh@debian.org>
Cc: 636621@bugs.debian.org, Ben Howard <ben.howard@canonical.com>
Subject: Re: limit source to debconf, tagging 636621
Date: Sun, 19 Feb 2012 06:05:45 +0100
[Message part 1 (text/plain, inline)]
Joey Hess <joeyh@debian.org> (05/08/2011):
> #debconf (1.5.42) UNRELEASED; urgency=low
> #
> #  * File DbDriver now creates the directory for the file if it is missing.
> #    (All other DbDrivers that write files already did this.) Closes: #636621
> #
> 
> limit source debconf
> tags 636621 + pending
> thanks

Joey, what about an upload?

Thanks to IRILL for sponsoring this BSP in Paris.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'minor' from 'serious' Request was from Edward Allcutt <edward@allcutt.me.uk> to control@bugs.debian.org. (Sat, 03 Mar 2012 23:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#636621; Package debconf. (Sat, 03 Mar 2012 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Allcutt <edward@allcutt.me.uk>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Sat, 03 Mar 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #21 received at 636621@bugs.debian.org (full text, mbox):

From: Edward Allcutt <edward@allcutt.me.uk>
To: 636621@bugs.debian.org, 636621-submitter@bugs.debian.org
Subject: Re. debconf (purging /var/cache/debconf)
Date: Sat, 3 Mar 2012 23:31:52 +0000 (GMT)
limit package debconf
severity 636621 minor
thanks

Quoting fhs-2.3

	/var/cache is intended for cached data from applications. Such data is
	locally generated as a result of time-consuming I/O or calculation. The
	application must be able to regenerate or restore the data. Unlike
	/var/spool, the cached files can be deleted without data loss. The data
	must remain valid between invocations of the application and rebooting
	the system.

	Files located under /var/cache may be expired in an application specific
	manner, by the system administrator, or both. The application must always
	be able to recover from manual deletion of these files (generally because
	of a disk space shortage). No other requirements are made on the data
	format of the cache directories.

The accepted interpretation of the FHS distinguishes normal files from
directories. In particular it is not unusual for directories under /var/cache
to be shipped by a package and owned by a user or group other than root. Such
directories cannot by design be recreated on demand.

This is not a policy violation. Downgrading accordingly but leaving open as
Joey may want to work around this anyway since debconf is one of the packages
that is in a position to handle this.

-- 
Edward Allcutt




Message sent on to Ben Howard <ben.howard@canonical.com>:
Bug#636621. (Sat, 03 Mar 2012 23:45:05 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Wed, 14 Mar 2012 09:55:51 GMT) Full text and rfc822 format available.

Notification sent to Ben Howard <ben.howard@canonical.com>:
Bug acknowledged by developer. (Wed, 14 Mar 2012 09:55:51 GMT) Full text and rfc822 format available.

Message #29 received at 636621-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 636621-close@bugs.debian.org
Subject: Bug#636621: fixed in debconf 1.5.42
Date: Wed, 14 Mar 2012 09:47:35 +0000
Source: debconf
Source-Version: 1.5.42

We believe that the bug you reported is fixed in the latest version of
debconf, which is due to be installed in the Debian FTP archive:

debconf-doc_1.5.42_all.deb
  to main/d/debconf/debconf-doc_1.5.42_all.deb
debconf-i18n_1.5.42_all.deb
  to main/d/debconf/debconf-i18n_1.5.42_all.deb
debconf-utils_1.5.42_all.deb
  to main/d/debconf/debconf-utils_1.5.42_all.deb
debconf_1.5.42.dsc
  to main/d/debconf/debconf_1.5.42.dsc
debconf_1.5.42.tar.gz
  to main/d/debconf/debconf_1.5.42.tar.gz
debconf_1.5.42_all.deb
  to main/d/debconf/debconf_1.5.42_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636621@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 14 Mar 2012 09:08:49 +0000
Source: debconf
Binary: debconf debconf-i18n debconf-doc debconf-utils
Architecture: source all
Version: 1.5.42
Distribution: unstable
Urgency: low
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-doc - debconf documentation
 debconf-i18n - full internationalization support for debconf
 debconf-utils - debconf utilities
Closes: 367497 560317 636241 636621 641106 651642 654798 656110 657264
Changes: 
 debconf (1.5.42) unstable; urgency=low
 .
   [ Joey Hess ]
   * File DbDriver now creates the directory for the file if it is missing.
     (All other DbDrivers that write files already did this.) Closes: #636621
 .
   [ Emmet Hikory ]
   * Display error messages in noninteractive frontend (Closes: #367497)
 .
   [ Debconf translations ]
   * Polish (Michał Kułach).  Closes: #657264
 .
   [ Manpages translations ]
   * German updated.
   * Portugese updated (Américo Monteiro).
   * Spanish updated. Closes: #636241
   * Sinhala; (Danishka Navin).  Closes: #641106
   * Russian updated. Closes: #656110
 .
   [ Programs translations ]
   * Norwegian Bokmål updated. Closes: #654798
 .
   [ Joey Hess ]
   * Add a belt-and-suspenders test that Text::CharWidth::mblen is not
     returning bogus values, before using Text::WrapI18n. See #641957
   * Avoid an uninitialized value warning when a blank line is received
     from the client. Closes: #651642
 .
   [ Colin Watson ]
   * Remove all hardcoded executable paths, using a new Debconf::Path module.
 .
   [ Raphaël Hertzog ]
   * Set environment variables expected by maintainer scripts. Closes:
     #560317
   * Do not hardcode the path of maintainer scripts, in order to support the
     multiarch layout.
 .
   [ Colin Watson ]
   * Process any newly pending triggers after running maintainer scripts.
Checksums-Sha1: 
 27c0bdeef9ef8fcb5ef638a8e435c73cbd55c030 1978 debconf_1.5.42.dsc
 7ab37ecce65ab70847e3e5c3844da10163f1a23c 952984 debconf_1.5.42.tar.gz
 6a6fb86317708c45f8c66a29af807dfdc938fa02 170458 debconf_1.5.42_all.deb
 16a50c5d078b860625081e35ae009b37b211fedc 226000 debconf-i18n_1.5.42_all.deb
 bbdb9e695dc73db0afa4a6d45c15f3f6fe40b0a2 310256 debconf-doc_1.5.42_all.deb
 24b2d0574305f6411b857c96294f8867110bde49 54850 debconf-utils_1.5.42_all.deb
Checksums-Sha256: 
 005535ad8557374eb61f0d1d37dcb02fb186efe8ab09e5d1f2d31730bb2a3fd0 1978 debconf_1.5.42.dsc
 7ac4c4b847a3f77424f7c52857e1d598ffa16726e7370b62e152bc03948192d6 952984 debconf_1.5.42.tar.gz
 b53895f2258962422c0e405bffaaba4c97b8ab123811a069c593c6d2ddde1a01 170458 debconf_1.5.42_all.deb
 ac6a173a3ca88fa71a00546dd20365cec156e8856c963344993343a3581cac17 226000 debconf-i18n_1.5.42_all.deb
 cef85be9a36633edcbc77fed670fc8c32461383c549eab79e43460afaa93fbf4 310256 debconf-doc_1.5.42_all.deb
 d388c736cc597f64d9dd8caa50bed23e96778a92eae51b7f0731007211eb6f3a 54850 debconf-utils_1.5.42_all.deb
Files: 
 380b3b3a7345ef1735fd1a7a58513e4c 1978 admin optional debconf_1.5.42.dsc
 f2cb612f90b22f9e491152b30586b963 952984 admin optional debconf_1.5.42.tar.gz
 607c343d594eb74aa5b9686aa79b6e69 170458 admin important debconf_1.5.42_all.deb
 7de1aa8ae228778ccab3ee958e60642d 226000 localization important debconf-i18n_1.5.42_all.deb
 9f474638a2553a2b8cdbcaf39d064101 310256 doc optional debconf-doc_1.5.42_all.deb
 024c9e4a2b864c4d0bec9ce25a3480ac 54850 devel optional debconf-utils_1.5.42_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBT2Bn4Dk1h9l9hlALAQj4+xAAiGHzffOvTS0SiM8fYXAY2N69ptc8cx7v
MvdRsFMc/6wNOS9ajd1S+YswqL83WlgZR6iYRGBpmPFy1Yy6q5ZqRg005G/ubqD7
nOPXkBLkrvETodVT1xyQg8EMoor+ZhwwjhrUX8uH+CVTnnU8hkxyN7BewJ1Ndhn8
7iznQveEf9vpMQuxjsEHTMiRRoYG7WqgOQav0MyYsXKfM5TFG+76m5eElUQxHPlW
v45iWHzinPTSHXy7jah8imuQ1hfXPf7Uvi0ly2PkVLKqBL2RZxlgs+DUkTgDug4B
COx1xvX+xlcWpqtFW6I2wJgOaEceIq4CVI8LIdeJL3hHKs9bj4Qg2iMKfik6/PKz
56Ism1aIFpCKID7TsFZv042naMwrhTc4t5iCcixN/FnLm4aOqjB/HMuvwbrRYTW7
44U7lkXRKXNYMggd6NsP/jJEvRd5Syp7qcIwYahTFG9GWPP0CReohLEPeG0d6QD8
uGlcD7pJ8/PkfTeMi1zQ7YivI+EsSU4n2IX4u1085tAjM5+65vrf8oCTZh9t9fqK
2J2cGZDI6iIH11dzdUoxl9VTiWIDYpMZFYqOOs4KkXC6e5LTw/PGRK4SMBz93L+I
+0QYu5hjc2q3JeYXTKgsvbes+w3rx4hCF6xwtaq9xXJ+Vs47ALynmzh3tewgY0su
wyqm4AwV2yI=
=wnbF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Apr 2012 07:35:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:37:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.